/*****************************************************************************
/ Configuration file for W1HKJ modifications to gmfsk-0.7pre1 source code
/
/ To enable a particular patch set its value to 1
/
/ If all patches are set to 0 then app reverts to original gmfsk-0.7pre1
/
*****************************************************************************/

/* set to 1 if you are using the DeltaII,ArgoV, Icom728 or Kachina CAT program 
   distributed by W1HKJ (see www.w1hkj.com)
   Note that you cannot set both WANT_HAMLIB (in config.h) and WANT_TENTEC_MOD
   Only one CAT interface at a time !!
*/
#define WANT_TENTEC_MOD 1
/* set the following for the # of decimal places you want your log to record
   frequency, ie: 0 = nearest Mhz, 3 = nearest Khz, 6 = nearest cycle.
*/
#define TEN_TEC_LOG_PREC 4

/* Also set to 1 if you are using the Kachina CAT program 
*/
#define WANT_KACHINA 0

/* set to 1 to enable ptt mod which allows selection of DTR always on
   amatuers who use the G3GVR interface will need this modification as it steals power
   from the DTR signal line of the serial interface.
*/   
#define WANT_PTT_MOD 0

/* set to 1 if you want the color waterfall selection and popup menu mods
*/
#define WANT_WATERFALL_MOD  1

/* set to 1 to enable
   SNR & IMD computed & displayed for psk31 / psk63 signals
*/
#define WANT_SNRIMD 1

/* set to 1 if you want the mod which enables the backspace key transmission
   in allmodes except CW, FELD-HELL
*/
#define WANT_BACKSPACE_MOD 1

/* set to 1 for 1 Hz resolution on the frequency spin button
*/
#define WANT_1HZFREQ_BUTTON 1

/* set to 0 to disable direct entry in the freq spin button field
   set to 1 to retain direct entry.  Setting to 1 requires that the focus be removed
   from the freq spin button entry field before clicking on the waterfall changes the actual
   frequency transmitted ... this is the original mode for gmfsk
   With the 1 Hz resolution selected and disabling the direct entry you can
   move around the audio sub band with much ease
*/   
#define WANT_SPINFREQ_ENTRY 1

/* set to 1 to enable set the waterfall gain and reference levels from main window
   and to be able to select waterfall mode & zoom level from clickable status bar buttons
*/   
#define WANT_NEW_UI 1

/* set to 1 to enable Locking the transmit frequency in psk modes
*/
#define WANT_FREQLOCK 1

/* set to 1 to disable the visual display of control codes such as <ESC> or <RS> for example
*/
#define WANT_CTL_SUPPRESSED 1

/* set to 1 to enable 2 tone Olivia mode
   This mod is courtesy of Joe Veldhuis, KD8ATU
*/
#define WANT_2TONE_OLIVIA 1

/* set to 1 to enable CR-CR-LF-LTRS sequence when:
   the # chars on a line reach 72, or
   the # chars on a line > 66 and a space is being sent
   Also to always send a CR-CR sequence for every CR being transmitted
   This mod makes gmfsk friendly to "real" tty machines which take time for the physical
   carriage to return to the left margin position.
*/
#define WANT_TTY_MOD 1

/* set to 1 to enable "rev" on all modes
   Allows you to use an alternate sideband & then set "reverse" for modes
   such as Olivia that had "rev" disabled in the original gmfsk code.
   Or to change the "reverse" setting when switching between modes.
*/
#define WANT_FULL_REVERSE 1

/* set to 1 to enable mailbox capability for use with pskmail
   Allows gmfsk to check for file gmfsk_autofile and send
contents of that file at 1000 +/- 15 Hz on waterfall.
   Forces creation of log file which is the receive channel
monitored by pskmail.
*/
#define WANT_MAILBOX 0
